Token (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Class Token

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.Token

- All Implemented Interfaces:
    java.lang.Comparable<CombinedValue<java.lang.Long>>, java.lang.Iterable<DecoratedKey>, CombinedValue<java.lang.Long>
  Direct Known Subclasses:
    TokenTree.OnDiskToken

      public abstract class Token
      extends java.lang.Object
      implements CombinedValue<java.lang.Long>, java.lang.Iterable<DecoratedKey>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token(long token)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CombinedValue<java.lang.Long> o)`
    `java.lang.Long` | `get()`
    `abstract com.carrotsearch.hppc.LongSet` | `getOffsets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.index.sasi.utils.CombinedValue

      `merge`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Field Detail

    - #### token

          protected final long token

  - ### Constructor Detail

    - #### Token

          public Token(long token)

  - ### Method Detail

    - #### get

          public java.lang.Long get()

      Specified by:
        `get` in interface `CombinedValue<java.lang.Long>`

    - #### getOffsets

          public abstract com.carrotsearch.hppc.LongSet getOffsets()

    - #### compareTo

          public int compareTo(CombinedValue<java.lang.Long> o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CombinedValue<java.lang.Long>>`

Copyright © 2018 The Apache Software Foundation